package org.ninjasoft.cryptoslam.ui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class EntryDialog extends JDialog {
    private JTextArea entryText = new JTextArea();
    private JButton doneButton = new JButton("Done");
    private JLabel infoText = new JLabel("Paste your encrypted message below, then click \"Done\""); 
    public EntryDialog() {
        super((Frame) null, "Ciphertext Entry", true);
        this.setSize(400, 350);
        Container pane = this.getContentPane();
        pane.setLayout(new BorderLayout());
        pane.add(new JScrollPane(entryText, JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED, JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED), BorderLayout.CENTER);
        pane.add(doneButton, BorderLayout.SOUTH);
        pane.add(infoText, BorderLayout.NORTH);
        doneButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                dispose();
            }
        });
    }
    
    public static String getEntry() {
        EntryDialog dialog = new EntryDialog();
        dialog.setVisible(true);
        return dialog.entryText.getText();
    }
    
    public static void showText(String title, String message) {
        Font mono = new Font("Monospaced", Font.PLAIN, 12);
        EntryDialog dialog = new EntryDialog();
        dialog.setTitle(title);
        dialog.infoText.setText(title);
        dialog.entryText.setFont(mono);
        dialog.entryText.setEditable(false);
        dialog.entryText.setForeground(Color.BLACK);
        dialog.entryText.setBackground(Color.WHITE);
        dialog.entryText.setText(message);
        dialog.entryText.setCaretPosition(0);
        dialog.setVisible(true);
    }
}
